Bug 167940 - Review Request: baobab, Graphical tool to analyse directory trees
Summary: Review Request: baobab, Graphical tool to analyse directory trees
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: David Lawrence
URL: http://www.leemhuis.info/files/fedora...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-09-09 18:02 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 16:27:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thorsten Leemhuis 2005-09-09 18:02:22 UTC
Spec Name or Url: 
  http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/baobab.spec
SRPM Name or Url:
  http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/baobab-1.1.0-1.src.rpm
Upstream URL:
  http://www.marzocca.net/linux/baobab.html
Description: 
  Baobab is able to scan either specific directories or the whole filesystem, 
in order to give the user a graphical tree representation including 
each directory size or percentage in the branch.

Comment 1 Adrian Reber 2005-09-09 21:06:42 UTC
I think you need to add Requires(post): desktop-file-utils.
And also for postun.

I also thought about what does update-desktop-database do? Isn't this just the
tool required to run if the .desktop file has a mime entry? And this doesn't
have a mime entry, so from my point this seems unnecessary and thus my comment
above can also be ignored if there is no u-d-d.

Comment 2 Thorsten Leemhuis 2005-09-10 12:43:29 UTC
(In reply to comment #1)
> I also thought about what does update-desktop-database do? Isn't this just the
> tool required to run if the .desktop file has a mime entry?

Yeah, your right, it's unnecessary for this programm. I removed it:

Spec Name or Url: 
  http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/baobab.spec
SRPM Name or Url:
  http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/baobab-1.1.0-2.src.rpm

Comment 3 Adrian Reber 2005-09-13 00:53:04 UTC
* rpmlint is happy
* source verified against upstream
* spec looks good
* builds in mock
* clean installation and removal

APPROVED

You could remove the INSTALL file after import.

Comment 4 Thorsten Leemhuis 2005-09-13 16:27:33 UTC
thx adrianr; pkg imported, build fine on FC4, devel-branch failed due to a
rawhide problem. Will request rebuild in some days again.


Note You need to log in before you can comment on or make changes to this bug.